Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 658346 (CVE-2018-12026, CVE-2018-12027, CVE-2018-12028, CVE-2018-12029) - <www-apache/passenger-5.3.2: multiple vulnerabilities
Summary: <www-apache/passenger-5.3.2: multiple vulnerabilities
Status: RESOLVED FIXED
Alias: CVE-2018-12026, CVE-2018-12027, CVE-2018-12028, CVE-2018-12029
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Gentoo Security
URL: https://blog.phusion.nl/2018/06/12/pa...
Whiteboard: B1 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-17 22:46 UTC by Florian Schuhmacher
Modified: 2018-07-22 20:54 UTC (History)
2 users (show)

See Also:
Package list:
www-apache/passenger-5.3.2
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Schuhmacher 2018-06-17 22:46:17 UTC
CVE-2018-12029: A race condition in the nginx module in Phusion Passenger 3.x through 5.x before 5.3.2 allows local escalation of privileges when a non-standard passenger_instance_registry_dir with insufficiently strict permissions is configured. Replacing a file with a symlink after the file was created, but before it was chowned, leads to the target of the link being chowned via the path. Targeting sensitive files such as root's crontab file allows privilege escalation.

CVE-2018-12028: An Incorrect Access Control vulnerability in SpawningKit in Phusion Passenger 5.3.x before 5.3.2 allows a Passenger-managed malicious application, upon spawning a child process, to report an arbitrary different PID back to Passenger's process manager. If the malicious application then generates an error, it would cause Passenger's process manager to kill said reported arbitrary PID.

CVE-2018-12027: An Insecure Permissions vulnerability in SpawningKit in Phusion Passenger 5.3.x before 5.3.2 causes information disclosure in the following situation: given a Passenger-spawned application process that reports that it listens on a certain Unix domain socket, if any of the parent directories of said socket are writable by a normal user that is not the application's user, then that non-application user can swap that directory with something else, resulting in traffic being redirected to a non-application user's process through an alternative Unix domain socket.

CVE-2018-12026: During the spawning of a malicious Passenger-managed application, SpawningKit in Phusion Passenger 5.3.x before 5.3.2 allows such applications to replace key files or directories in the spawning communication directory with symlinks. This then could result in arbitrary reads and writes, which in turn can result in information disclosure and privilege escalation.


Gentoo Security Scout
Florian Schuhmacher
Comment 1 Hans de Graaff gentoo-dev 2018-06-18 05:10:32 UTC
Passenger 5.3.2 has already been added and can be marked stable.
Comment 2 Agostino Sarubbo gentoo-dev 2018-06-18 15:43:50 UTC
amd64 stable
Comment 3 Thomas Deutschmann gentoo-dev Security 2018-06-19 12:56:47 UTC
x86 stable
Comment 4 Hans de Graaff gentoo-dev 2018-06-20 19:23:04 UTC
Vulnerable version removed.
Comment 5 Michael Boyle 2018-07-03 02:40:00 UTC
GLSA request filed.
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2018-07-22 20:54:32 UTC
This issue was resolved and addressed in
 GLSA 201807-02 at https://security.gentoo.org/glsa/201807-02
by GLSA coordinator Aaron Bauman (b-man).